<%@ taglib uri="/WEB-INF/template.tld" prefix="template" %>
<%--
  - FileName   : expired.jsp
  - Author(s)  : chj
  - Date       : 2014-06-10
  -
  - Description: 자기정보 수정
  --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="kr.co.hsnc.common.base.WAFLogger" %>
<%@ page import="kr.co.hsnc.common.util.ValueObject" %>
<%@ page import="kr.co.hsnc.j2ee.waf.controller.web.util.WebKeys" %>
<%@ page import="kr.co.hsnc.j2ee.waf.view.template.Screen" %>
<%@ page import="kr.co.hsnc.common.config.*"%>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
	ctx.init(request, response);
    ValueObject user = ctx.getUser();    
%>


<%  // 협력업체 최초 로그인인 경우	
    if( user.get("ACCT_CAT_CODE").equals("CORPORATION")&&user.get("PWD_VALID_TO").equals("") ) { %>

	<!-- <IFRAME width="0" height="0" name="worker" src="/common/user/SaveForFirstLogin.screen"></IFRAME> -->

<%	}
	else { %>

<script>
	dlgAlert("비밀번호의 사용기간이 만료되었습니다. <br>비밀번호를 수정하여 주시기 바랍니다.");

	var url = "/sycs/user/ChangeExpiredPwd.screen";

	var result = window.showModalDialog(getDummyUrl(url),'','dialogWidth:430px;dialogHeight:<%=user.get("ACCT_CAT_CODE").equals("CORPORATION")?"140":"240"%>px; center:yes; help:no; status:no; scroll:no; resizable:no');
	
	location.href="/sign_off.screen";

</script>	

<%  } %>
